Skip to main content
POST
/
projects
/
{project_reference}
/
triggers
/
{trigger_id}
/
run
Run Project Trigger
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/triggers/{trigger_id}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "test",
  "payload": null
}
'
{
  "trigger_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "run_id": "<string>",
  "canonical_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "latest_event_id": 1,
  "status": "<string>",
  "is_test": true,
  "duplicate": true
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1
trigger_id
string<uuid>
required

Body

application/json
mode
enum<string>
default:test
Available options:
test,
run
payload
unknown

Response

Trigger run accepted

trigger_event_id
string<uuid>
required
trigger_id
string<uuid>
required
project_id
string<uuid>
required
conversation_id
string<uuid> | null
required
message_id
string<uuid> | null
required
run_id
string | null
required
canonical_run_id
string<uuid> | null
required
latest_event_id
integer | null
required
Required range: x >= 0
status
string
required
is_test
boolean
required
duplicate
boolean
required